Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.model.registry
Interface FlowModelHolder

All Known Implementing Classes:
  DefaultFlowModelHolder

    public interface FlowModelHolder

A holder holding a reference to a Flow model. Provides a layer of indirection, enabling things like "hot-reloadable" flow models.

Author:
  Keith Donald, Scott Andrews
See Also:
  `FlowModelRegistry.registerFlowModel(String, FlowModelHolder)`

Method Summary
`FlowModel` | `getFlowModel()` Returns the flow model held by this holder.
`org.springframework.core.io.Resource` | `getFlowModelResource()` Returns the underlying resource defining the flow model.
`boolean` | `hasFlowModelChanged()` Has the underlying flow model changed since it was last accessed via a call to `getFlowModel()`.
`void` | `refresh()` Refresh the flow model held by this holder.

Method Detail

### getFlowModel

    FlowModel getFlowModel()

  Returns the flow model held by this holder. Calling this method the first time may trigger flow model assembly.

### hasFlowModelChanged

    boolean hasFlowModelChanged()

  Has the underlying flow model changed since it was last accessed via a call to `getFlowModel()`.

  Returns:
    true if yes, false if not

### getFlowModelResource

    org.springframework.core.io.Resource getFlowModelResource()

  Returns the underlying resource defining the flow model.

  Returns:
    the flow model resource

### refresh

    void refresh()

  Refresh the flow model held by this holder. Calling this method typically triggers flow re-assembly, which may include a refresh from an externalized resource such as a file.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD